Bug 1009873 - [abrt] will-crash-0.5-2.fc20: main: Process /usr/bin/will_segfault was killed by signal 11 (SIGSEGV)
[abrt] will-crash-0.5-2.fc20: main: Process /usr/bin/will_segfault was killed...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: will-crash (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
abrt_hash:348f14424bdf6726346c7efe532...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 07:43 EDT by Jakub Filak
Modified: 2016-01-31 21:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-27 13:44:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.76 KB, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details
File: core_backtrace (505 bytes, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details
File: dso_list (244 bytes, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details
File: environ (2.82 KB, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details
File: maps (1.49 KB, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details
File: open_fds (105 bytes, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details
File: var_log_messages (317 bytes, text/plain)
2013-09-19 07:43 EDT, Jakub Filak
no flags Details

  None (edit)
Description Jakub Filak 2013-09-19 07:43:17 EDT
Version-Release number of selected component:
will-crash-0.5-2.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.12.0-0.rc0.git21.1.fc21.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
[New LWP 1804]
warning: Could not load shared library symbols for RACE_PRELINKING.
Do you need "set solib-search-path" or "set sysroot"?
Core was generated by `will_segfault'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  main () at will_segfault.c:7
7	}

Thread 1 (LWP 1804):
#0  main () at will_segfault.c:7
        i = <error reading variable i (Cannot access memory at address 0x0)>
From                To                  Syms Read   Shared Object Library
0x00007fce91d69560  0x00007fce91eb0ff4  Yes         /lib64/libc.so.6
0x00007fce92114b10  0x00007fce9212ee20  Yes         /lib64/ld-linux-x86-64.so.2
                                        No          RACE_PRELINKING
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0xf	15
rbx            0x0	0
rcx            0x7fce91e36170	140525187588464
rdx            0x7fce9210fa10	140525190576656
rsi            0x7fce92333000	140525192818688
rdi            0x1	1
rbp            0x0	0x0
rsp            0x7fffd91c2ad0	0x7fffd91c2ad0
r8             0xffffffff	4294967295
r9             0x0	0
r10            0x22	34
r11            0x246	582
r12            0x40045c	4195420
r13            0x7fffd91c2bb0	140736835890096
r14            0x0	0
r15            0x0	0
rip            0x40044e	0x40044e <main+14>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function main:
   0x0000000000400440 <+0>:	sub    $0x8,%rsp
   0x0000000000400444 <+4>:	mov    $0x4005e0,%edi
   0x0000000000400449 <+9>:	callq  0x400410 <puts@plt>
=> 0x000000000040044e <+14>:	mov    0x0,%eax
   0x0000000000400455 <+21>:	add    $0x8,%rsp
   0x0000000000400459 <+25>:	retq   
End of assembler dump.
Comment 1 Jakub Filak 2013-09-19 07:43:21 EDT
Created attachment 799869 [details]
File: backtrace
Comment 2 Jakub Filak 2013-09-19 07:43:24 EDT
Created attachment 799870 [details]
File: cgroup
Comment 3 Jakub Filak 2013-09-19 07:43:26 EDT
Created attachment 799871 [details]
File: core_backtrace
Comment 4 Jakub Filak 2013-09-19 07:43:29 EDT
Created attachment 799872 [details]
File: dso_list
Comment 5 Jakub Filak 2013-09-19 07:43:32 EDT
Created attachment 799873 [details]
File: environ
Comment 6 Jakub Filak 2013-09-19 07:43:35 EDT
Created attachment 799874 [details]
File: limits
Comment 7 Jakub Filak 2013-09-19 07:43:38 EDT
Created attachment 799875 [details]
File: maps
Comment 8 Jakub Filak 2013-09-19 07:43:41 EDT
Created attachment 799876 [details]
File: open_fds
Comment 9 Jakub Filak 2013-09-19 07:43:43 EDT
Created attachment 799877 [details]
File: proc_pid_status
Comment 10 Jakub Filak 2013-09-19 07:43:46 EDT
Created attachment 799878 [details]
File: var_log_messages

Note You need to log in before you can comment on or make changes to this bug.